var varianty = [null,null];
varianty[0] = [[1,2],[1,3],[1,4],[2,1],[2,3],[2,4],[3,1],[3,4],[4,1],[4,2]];
varianty[1] = [[1,2,3],[2,3,4],[4,1,2],[3,4,2],[2,1,4],[3,1,2],[4,1,3],[1,2,4],[2,3,1],[3,1,4]];

var vybrane = [null,null];
var priznak = [false,false];

class obr_rady{
    constructor(obtiznost,rodic) {  
        this.rodic = rodic;
        this.obtiznost = obtiznost;
        this.vybrano = [null,null,null];
        
        this.vyber_v = Math.round(Math.random()*9);
        
        if(obtiznost==1){
            this.pocetObr = 5;
            this.poc_obr = 2;
            this.vzor = [0,1,0,1,0];
        }else{              
            this.pocetObr = 6;  
            this.poc_obr = 3;
            this.vzor = [0,1,1,2,0,1];   
        }
        
        this.typyObr = ["hospodářských zvířat","afrických zvířat","domácích zvířátek","lesních zvířat","rostlin"];
        this.prefix = ["hospodarska","africke","domaci","lesni","rostliny"];
        this.zadani_prefix = null;
        this.zadani_typ = null;
        this.zadani_int = null;
    }
    
    //vytvoreni popisu pro ukol
    print(){
        let rnd_num = Math.floor(Math.random() * this.typyObr.length);
        this.zadani_typ = this.typyObr[rnd_num];
        this.zadani_prefix = this.prefix[rnd_num];
        this.zadani_int = rnd_num;
        let popis = document.createElement("p");
        popis.innerHTML = "Když má Datík problém usnout, promítá si opakující se řady obrázků "+ this.zadani_typ +". Kvůli únavě a nemoci nemůže přijít na to, jaký obrázek má následovat. Pomůžeš mu?";
        let rodic = document.getElementById(this.rodic);
        rodic.appendChild(popis);    
    }
    
    //vytvoreni radku s obrazky, radek pro vypis, radek pro textarea a tlacitko
    vypis_rady(){   
        let obal = document.createElement("div");
        obal.classList.add("w3-row","cap3","nespavost_obal"); 
        obal.id = "soubor_"+this.obtiznost;
        let obr_obal = null;
        let posun = null;
        let obrazek = null;
        //vkladani obrazku
        for(let x = 0; x<=this.pocetObr;x++){      
              obr_obal = document.createElement("div");               
              obr_obal.classList.add("w3-col","m2","l2","s3");
              obrazek = document.createElement("img");  
            if(x < this.pocetObr){ 
              //vlozeni obrazku              
              obrazek.src = "image/"+ this.zadani_prefix+"/"+varianty[this.obtiznost-1][this.vyber_v][this.vzor[x]]+".png";
              obrazek.alt = "obr";      
            }else{
              obrazek.src = "image/otaznik.png";
              obrazek.alt = "otaznik"; 
            }
            obr_obal.appendChild(obrazek);           
            //vkladani sipek 
            posun = document.createElement("div");        
            posun.classList.add("arrow_bg");
            posun.innerHTML = "&nbsp;"; 
            obr_obal.appendChild(posun);   
            obal.appendChild(obr_obal);
        }                    
        
        //vypis obrazku pro dopleni, obtiznost
        let doplneni = document.createElement("div");
        let tmp_pom = 0;
        doplneni.classList.add("w3-row","vyber");                       
        
        for(let x = 0; x < this.poc_obr+2; x++){
            obr_obal = document.createElement("div");               
            obr_obal.classList.add("w3-col","m2","l2","s2");
            obrazek = document.createElement("img");
            if(x < this.poc_obr){
                if(x == this.poc_obr-1 && this.obtiznost == 2)
                    tmp_pom = 1;
                //vykresovana zvirata
                obrazek.src = "image/"+ this.zadani_prefix+"/"+varianty[this.obtiznost-1][this.vyber_v][this.vzor[x+tmp_pom]]+".png";
            }else if(x==this.poc_obr){
                 //random zvire z jineho setu
                let kat_spatne = Math.round(Math.random()*3)+1;
                if(kat_spatne == this.zadani_int){
                    if(kat_spatne < 2)
                        kat_spatne++;
                    else
                        kat_spatne--;
                }
                let obr_spatne = Math.round(Math.random() * 3)+1;                
                obrazek.src = "image/"+ this.prefix[kat_spatne]+"/"+obr_spatne+".png";
            }else{
              obrazek.src = "image/cisty.png";
              obrazek.alt = "prazdne"; 
            }
            obr_obal.dataset.obr = x;              
            //nutno jim pridat listener kvuli obarvovani 
            let obtiznost = this.obtiznost; 
            obr_obal.addEventListener("click", function(){
                if(!priznak[obtiznost-1]){
                      //vybira se jen jeden obrazek
                      if(vybrane[obtiznost-1] == this.dataset["obr"]){
                          doplneni.children[vybrane[obtiznost-1]].removeAttribute("style");
                          vybrane[obtiznost-1] = null; 
                      }else{
                          if(vybrane[obtiznost-1])
                              doplneni.children[vybrane[obtiznost-1]].removeAttribute("style"); 
                          vybrane[obtiznost-1] = this.dataset["obr"];
                          this.style.backgroundColor = "sandybrown";
                          this.style.borderRadius = "5px";
                      }
                  }
            
            });
            
            obr_obal.appendChild(obrazek);
            doplneni.appendChild(obr_obal);                 
        }
        
        //tlacitko a textarea
        let vysledky = document.createElement("div");
        vysledky.classList.add("kontrola","print-hide","w3-row");    
        
        //textarea
        let vypis = document.createElement("textarea");
        vypis.placeholder = "Rovnou svoji volbu prosím odůvodni a potvrď to.";
        vypis.classList.add("cap2");
        vypis.maxLength = "300";
        vypis.id = "vysledek_"+this.obtiznost;
        
        let vyhodnoceni = document.createElement("p");
        vyhodnoceni.id = "vypsani_"+this.obtiznost;
        
        let button = document.createElement("input");
        button.type = "button";
        button.classList.add("cap2");
        button.dataset.obtiznost = this.obtiznost;
        button.value="Potvrdit";       
        
        //pridani listeneru  
        button.addEventListener("click", function(){
            let obtiznost = button.dataset["obtiznost"];
            let vypsani = document.getElementById("vypsani_"+obtiznost);
            let textarea = document.getElementById("vysledek_"+obtiznost);
            let text_ta = textarea.value.trim();
            let oznaceno = false;
            let vysledek = null;
            //1.uroven
            if(vybrane[obtiznost-1] && text_ta != ""){      
                textarea.disabled = true;       
                button.style.display = "none";
                vypsani.innerHTML = "Řekni své řešení někomu, s kým bys to mohl probrat.";
                priznak[obtiznost-1] = true;  
                textarea.value = text_ta; 
            }else if(text_ta == "")
                vypsani.innerHTML = "Musíš svůj výběr odůvodnit.";
             else
                vypsani.innerHTML = "Musíš vybrat nějaký obrázek.";                
        });           
        
        //vse nacpu do div.kontrola -edit
        let tmp_div1 = document.createElement("div");
        tmp_div1.classList.add("w3-threequarter");        
        tmp_div1.appendChild(vyhodnoceni);
        tmp_div1.appendChild(vypis);
        tmp_div1.appendChild(button)
        
        let tmp_div2 = document.createElement("div");
        tmp_div2.classList.add("w3-quarter"); 
        let tmp_img = document.createElement("img");
        tmp_img.src= "image/obr_nespavost.png";
        tmp_img.alt = "obr";
        tmp_div2.appendChild(tmp_img);      
        
        vysledky.appendChild(tmp_div1);  
        vysledky.appendChild(tmp_div2);        
        
        //vse vlozim do rodice  
        let rodic = document.getElementById(this.rodic);
        rodic.appendChild(obal);  
        
        let opl_p = document.createElement("p");
        opl_p.innerHTML = "Obrázky na výběr:";    
        rodic.appendChild(opl_p);
        
        rodic.appendChild(doplneni);  
        rodic.appendChild(vysledky);          
    }
} 

let priklad_1 = new obr_rady(1,"pr_1");
priklad_1.print();
priklad_1.vypis_rady();

let priklad_2 = new obr_rady(2,"pr_2");
priklad_2.print();
priklad_2.vypis_rady();