 /**
  * Zobrazovani a skryvani zalozek, oznaceni aktivni zalozky
  * zalozka - string zalozky, co se zobrazi
  * tab - int zalozky, ktera se oznaci jako aktivni    
  */ 
function zobraz_tab(zalozka,tab){
      
  var x = document.getElementsByClassName("tabs");
  for (var i = 0; i < x.length; i++) {
      if(zalozka != 'all'){
        x[i].classList.remove("w3-show");
        x[i].classList.add("w3-hide");   
      }else 
        x[i].classList.remove("w3-hide");      
  }
  if(zalozka != 'all')
    document.getElementById(zalozka).classList.remove("w3-hide");
    
  var zalozky = document.getElementsByClassName("w3-bar-item"); 
  for (var i = 0; i < zalozky.length; i++) {
      if(i==tab)
        zalozky[i].classList.add("active");  
      else
        zalozky[i].classList.remove("active");     
  }
    
} 


/* modalni okna */
function show_modal(element){
  element.style.display='block';
}
  
function close_modal(element){
  element.style.display='none';
}    

function print_modal(element,trida,text=null){
    modal = document.getElementById(element);
    modal.innerHTML = "";
    var obal = document.createElement("div");
    obal.classList.add("w3-modal-content", "w3-animate-zoom", "w3-card-4",trida);
    var header = document.createElement("header");
    header.classList.add("w3-container");
    var zavreni = document.createElement("span");
    zavreni.classList.add("w3-button", "w3-display-topright");
    zavreni.addEventListener("click", function(){
      close_modal(modal)         
    });
    zavreni.innerHTML = "&times;";
    header.appendChild(zavreni);
    var hlaska = document.createElement("h6");
    switch(trida){
      case "chyba": 
        hlaska.innerHTML = "Chyba!"; 
        if(text==null)
          text = random_string(1);  
      break;
      case "ok": 
        hlaska.innerHTML = "Perfektní!";
        if(text==null)
          text = random_string(2);  
      break;
      case "neutr": 
        hlaska.innerHTML = "Ještě něco..."; 
      break;
    }       
    header.appendChild(hlaska);
    obal.appendChild(header);
    var obsah = document.createElement("div");
    obsah.classList.add("w3-container");
    obsah.innerHTML = "<p>"+text+"</p>";
    obal.appendChild(obsah);
    modal.appendChild(obal);
    show_modal(modal);
}

/////////////////
//vraci string podle daneho parametru 1(NOK), 2(OK)
/////////////////
function random_string(typ){
  let int_r = Math.floor(Math.random() * 6);
  let ok_string = ["Sám bych to neudělal lépe!","Přesně takhle to má být!","Jo, to je správné řešení!","Dobře ty!","Uhodil jsi hřebíček na hlavičku!","Zvládl jsi to bezvadně!"];
  let nok_string = ["Něco mi na tom nesedí.","Ne, to nebude správně.","Zkus to ještě jednou.","Tohle nebude správné řešení.","Takhle to být nemá.","Nope, takhle to nemá být."];
  if(typ == 1){
    return nok_string[int_r];
  }else{
    return ok_string[int_r];
  }   
}

/* modalni okna konec */